Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 919088

Summary: app-editors/pluma-1.26.0-r2: fails to compile (error: assignment to 'GFile *' {aka 'struct _GFile *'} from incompatible pointer type 'GObject *' {aka 'struct _GObject *'} [-Wincompatible-pointer-types])
Product: Gentoo Linux Reporter: Sam James <sam>
Component: Current packagesAssignee: immolo <immoloism>
Status: RESOLVED OBSOLETE    
Severity: normal CC: immoloism, jy6x2b32pie9, proxy-maint
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/34340
https://github.com/mate-desktop/pluma/issues/693
https://github.com/gentoo/gentoo/pull/36053
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 870412    
Attachments: build.log

Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-12-03 03:03:54 UTC
Created attachment 876494 [details]
build.log

pluma-file-bookmarks-store.c: In function 'pluma_file_bookmarks_store_get_uri':
pluma-file-bookmarks-store.c:853:22: error: assignment to 'GFile *' {aka 'struct _GFile *'} from incompatible pointer type 'GObject *' {aka 'struct _GObject *'} [-Wincompatible-pointer-types]
  853 |                 file = g_object_ref (obj);
      |                      ^
make[4]: *** [Makefile:614: pluma-file-bookmarks-store.lo] Error 1
make[4]: Leaving directory '/var/tmp/portage/app-editors/pluma-1.26.0-r2/work/pluma-1.26.0/plugins/filebrowser'
make[4]: *** Waiting for unfinished jobs....

----

$ emerge --info
Portage 3.0.56 (python 3.12.0-final-0, default/linux/amd64/17.1/desktop/plasma/systemd/merged-usr, gcc-14, glibc-2.38-r7, 6.1.57-gentoo-custom x86_64)
=================================================================
System uname: Linux-6.1.57-gentoo-custom-x86_64-AMD_EPYC_7R32_48-Core_Processor-with-glibc2.38
KiB Mem:   528034940 total,  75681616 free
KiB Swap:  126978044 total, 101047292 free
Timestamp of repository gentoo: Fri, 01 Dec 2023 08:31:52 +0000
Head commit of repository gentoo: 7741da524b2072f7a679ea41c75fbdb9177d1b3d

sh bash 5.2_p21
ld GNU ld (Gentoo 2.41 p2) 2.41.0
ccache version 4.8.3 [disabled]
app-misc/pax-utils:        1.3.7::gentoo
app-shells/bash:           5.2_p21::gentoo
dev-java/java-config:      2.3.3-r1::gentoo
dev-lang/perl:             5.38.2::gentoo
dev-lang/python:           3.10.13::gentoo, 3.11.6::gentoo, 3.12.0_p1::gentoo
dev-lang/rust-bin:         1.73.0::gentoo
dev-util/ccache:           4.8.3::gentoo
dev-util/cmake:            3.27.9::gentoo
dev-util/meson:            1.3.0::gentoo
sys-apps/baselayout:       2.14-r1::gentoo
sys-apps/sandbox:          2.38::gentoo
sys-apps/systemd:          254.7::gentoo
sys-devel/autoconf:        2.13-r8::gentoo, 2.69-r9::gentoo, 2.71-r7::gentoo
sys-devel/automake:        1.16.5-r1::gentoo
sys-devel/binutils:        2.41-r2::gentoo
sys-devel/binutils-config: 5.5::gentoo
sys-devel/clang:           15.0.7-r3::gentoo, 16.0.6::gentoo, 17.0.6::gentoo
sys-devel/gcc:             10.5.0::gentoo, 11.4.1_p20231123::gentoo, 12.3.1_p20231124::gentoo, 13.2.1_p20231125::gentoo, 14.0.0.9999::gentoo
sys-devel/gcc-config:      2.11::gentoo
sys-devel/libtool:         2.4.7-r1::gentoo
sys-devel/lld:             15.0.7::gentoo, 16.0.6::gentoo, 17.0.6::gentoo
sys-devel/llvm:            15.0.7-r3::gentoo, 16.0.6::gentoo, 17.0.6::gentoo
sys-devel/make:            4.4.1-r1::gentoo
sys-kernel/linux-headers:  6.6::gentoo (virtual/os-headers)
sys-libs/glibc:            2.38-r7::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000
    volatile: False

Binary Repositories:

gentoobinhost
    priority: 1
    sync-uri: https://gentoo.osuosl.org/releases/amd64/binpackages/17.1/x86-64

Installed sets: @sam
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -fdiagnostics-color=always"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -fdiagnostics-color=always"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going=y --complete-graph"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GDK_PIXBUF_MODULE_FILE GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR XDG_STATE_HOME"
FCFLAGS="-O2 -pipe -march=native -fdiagnostics-color=always"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg-live clean-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox multilib-strict network-sandbox news parallel-fetch pid-sandbox pkgdir-index-trusted preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms split-elog split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -march=native -fdiagnostics-color=always"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0"
LEX="flex"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="X a52 aac accessibility acl acpi activities alsa amd64 bluetooth branding brotli bzip2 cairo cdda cdr cli colord crypt cups dbus declarative dot dri dts dvd dvdr encode exif flac fortran gdbm gif gpm gtk gui http http2 iconv icu ipv6 jadetex jpeg kde kwallet lcms libnotify libtirpc libxml2 lua lz4 lzma mad mng mp3 mp4 mpeg multilib ncurses networkmanager nls nptl ogg opengl openmp opus pam pango pcre pcre32 pdf perl pim pipewire plasma png policykit ppds pulseaudio python qml qt5 readline ruby screencast sdk sdl seccomp semantic-desktop snappy sound spell sql sqlite ssh ssl startup-notification svg systemd test-rust tiff truetype udev udisks unicode upower usb vorbis vulkan wayland webchannel webengine webkit widgets wifi wireless wxwidgets x264 xattr xcb xft xml xv xvid zlib zstd" ABI_X86="32 64" ADA_TARGET="gnat_2021" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php8-1" POSTGRES_TARGETS="postgres15" PYTHON_SINGLE_TARGET="python3_11" PYTHON_TARGETS="python3_11 python3_10 python3_12" RUBY_TARGETS="ruby31" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LC_ALL, LD, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, MAKEOPTS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 1 immolo 2023-12-19 10:17:06 UTC
This will be resolved when app-editor/pluma-1.27.0 is merged into ::gentoo

(Sorry for not adding this bug at PR time but only confirmed now while going through the whole package list.)
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-12-19 10:27:49 UTC
(In reply to immolo from comment #1)
> This will be resolved when app-editor/pluma-1.27.0 is merged into ::gentoo
> 
> (Sorry for not adding this bug at PR time but only confirmed now while going
> through the whole package list.)

Please add it in with a rebase (git rebase -i, then change the relevant commit to 'r', save & exit the editor, then it'll open the commit message for editing).
Comment 3 immolo 2024-01-06 02:13:59 UTC
This is resolved with 1.27 builds but the issue does still remain with 1.26. I've reported this upstream to work on the best course of action.
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-01-06 08:22:55 UTC
(In reply to immolo from comment #3)
> This is resolved with 1.27 builds but the issue does still remain with 1.26.
> I've reported this upstream to work on the best course of action.

You may want to try identify what the fix was/is (look at the relevant file(s)' history) and then ask if it can be backported. See also if it applies cleanly to 1.26.
Comment 5 jy6x2b32pie9 2024-04-02 07:46:55 UTC
Bug persists in pluma-1.26.1
Upstream patch: https://github.com/mate-desktop/pluma/commit/6bd34181f2490f313a835ce59f82f696c42a2d0a
Comment 6 immolo 2024-04-10 17:26:53 UTC
This is now resolved upstream but currently 1.26 will be moving to 1.28 for ModernC are there and it's a better use of time to big fix and get that version stable.

If you disagree then please reopen with your reasoning and I will take that onboard.